@import "../../../../styles.scss";

.datos-cliente {
  @extend .col-12;
  @extend .col-lg-4;
  border-right: 1px solid whitesmoke;

  &--imagen {
    @extend .img-thumbnail;
    @extend .rounded-circle;
  }

  &--division {
    border-bottom: 1px solid whitesmoke;
    background-color: whitesmoke;
    height: 2px;
    margin: 0.5em 0px 1.5em;

    & span {
      display: block;
      width: 50px;
      height: 2px;
      background-color: #f8991c;
    }
  }

  &--informacion {
    @extend .font-italic;
    @extend .text-black-50;
  }
}

.datos-ticket {
  @extend .col-12;
  @extend .col-lg-8;
  &--division {
    border-bottom: 1px solid whitesmoke;
    background-color: whitesmoke;
    height: 2px;
    margin: 0.5em 0px 1.5em;

    & span {
      display: block;
      width: 50px;
      height: 2px;
      background-color: #f8991c;
    }
  }

  &--mensajes {
    @extend .h-100;
    @extend .d-inline-block;
    @extend .w-100;
    @extend .p-3;
    min-height: 250px;
    max-height: 300px;
    overflow: auto;

    &::-webkit-scrollbar {
      width: 12px;
    }

    &::-webkit-scrollbar-thumb {
      background: linear-gradient(transparent, #21285e);
      border-radius: 6px;
    }

    &::-webkit-scrollbar-thumb:hover {
      background: linear-gradient(transparent, #f8991c);
    }
  }
}
